package cn.com.ty.lift.business.contract.dao.entity.model.response;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author bieao
 * @date 2020/2/20
 * @description 付款列表返回体
 */
@Data
public class PaymentResponse {
    /**
     * 合同id
     */
    private Long contractId;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 收款单号
     */
    private String paymentCode;
    /**
     * 应收金额
     */
    private BigDecimal receivableAmount;
    /**
     * 已收金额
     */
    private BigDecimal receivedAmount;
    /**
     * 未收金额
     */
    private BigDecimal unCollectedAmount;
    /**
     * 收款人
     */
    private String cashierUser;
}
